wxRuby Documentation Home

# Wx::FileDropTarget

This is a drop target which accepts files (dragged
from File Manager or Explorer).

## Derived from

DropTarget

## See also

Drag and drop overview, DropSource,
DropTarget, TextDropTarget

## Methods

- FileDropTarget.new
- FileDropTarget#on_drop
- FileDropTarget#on_drop_files

### FileDropTarget.new

### FileDropTarget#on_drop

Boolean on_drop(%(arg-type)Integer% x, Integer y, (arg-type) data, Integer size)

See DropTarget#on_drop. This function is implemented
appropriately for files, and calls FileDropTarget#on_drop_files.

### FileDropTarget#on_drop_files

Boolean on_drop_files(%(arg-type)Integer% x, Integer y, ArrayString filenames)

Override this function to receive dropped files.

#### Parameters

- x The x coordinate of the mouse.
- y The y coordinate of the mouse.
- filenames An array of filenames.

#### Return value

Return true to accept the data, false to veto the operation.

[This page automatically generated from the Textile source at 2023-06-09 00:45:35 +0000]